"use strict";
var common_vendor = require("../../common/vendor.js");
require("../../api/modules/AI.js");
var api_modules_ZhouYi = require("../../api/modules/ZhouYi.js");
require("../../api/modules/config.js");
require("../../utils/request.js");
require("../../config/api.config.js");
require("../../stores/index.js");
require("../../stores/modules/tabIndex.js");
require("../../stores/modules/user.js");
require("../../stores/modules/AIResponse.js");
require("../../stores/modules/rateLimit.js");
if (!Array) {
  const _easycom_wd_text2 = common_vendor.resolveComponent("wd-text");
  const _easycom_ua_markdown2 = common_vendor.resolveComponent("ua-markdown");
  const _easycom_wd_status_tip2 = common_vendor.resolveComponent("wd-status-tip");
  (_easycom_wd_text2 + _easycom_ua_markdown2 + _easycom_wd_status_tip2)();
}
const _easycom_wd_text = () => "../../uni_modules/wot-design-uni/components/wd-text/wd-text.js";
const _easycom_ua_markdown = () => "../../components/ua-markdown/ua-markdown.js";
const _easycom_wd_status_tip = () => "../../uni_modules/wot-design-uni/components/wd-status-tip/wd-status-tip.js";
if (!Math) {
  (NavBar + _easycom_wd_text + _easycom_ua_markdown + _easycom_wd_status_tip)();
}
const NavBar = () => "../../components/NavBar.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "detail",
  setup(__props) {
    const info = common_vendor.ref(null);
    common_vendor.onLoad((e) => {
      if (e.id) {
        api_modules_ZhouYi.getZhouDetail({
          id: e.id
        }).then((res) => {
          info.value = res.data;
        });
      }
      if (e.name) {
        api_modules_ZhouYi.getZhouDetail({
          name: e.name
        }).then((res) => {
          info.value = res.data[0];
        });
      }
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          title: "\u9605\u8BFB"
        }),
        b: info.value
      }, info.value ? {
        c: common_vendor.p({
          text: info.value.symbol,
          size: "96rpx",
          bold: true,
          color: "#333"
        }),
        d: common_vendor.p({
          text: info.value.name,
          size: "48rpx",
          bold: true,
          color: "#333"
        }),
        e: common_vendor.p({
          source: info.value.desc
        })
      } : {
        f: common_vendor.p({
          image: "https://asstes.snhaenigseal.cn/images/wot/content.png",
          tip: "\u6682\u65E0\u5185\u5BB9"
        })
      });
    };
  }
});
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7c7d69f0"], ["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/pages/ZhouYi/detail.vue"]]);
wx.createPage(MiniProgramPage);
